# Class ThreadSauvegardePIF

java.lang.Object
java.lang.Thread
fr.iutfbleau.sae.ThreadSauvegardePIF

All Implemented Interfaces:
  `Runnable`

public class ThreadSauvegardePIF extends Thread
Thread pour sauvegarder un fichier PIF en arriere-plan. Permet d'eviter de bloquer l'interface graphique pendant la sauvegarde.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`ThreadSauvegardePIF(ConverterController controleur, File fichier)`
Construit un nouveau thread de sauvegarde.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Execute la sauvegarde du fichier PIF.

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ThreadSauvegardePIF

public ThreadSauvegardePIF(ConverterController controleur, File fichier)
Construit un nouveau thread de sauvegarde.

Parameters:
  `controleur` - le controleur qui gere la sauvegarde
  `fichier` - le fichier dans lequel sauvegarder

## Method Details

### run

public void run()
Execute la sauvegarde du fichier PIF.

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`